Cantera 2.6.0

Public Member Functions | List of all members
XML_NoChild Class Reference

Class representing a specific type of XML file formatting error. More...

Inheritance diagram for XML_NoChild:
[legend]
Collaboration diagram for XML_NoChild:
[legend]

## Public Member Functions
| XML_NoChild (const XML_Node *p, const std::string &parent, std::string child, const std::string &filename, int line)
| Constructor. More...
virtual std::string | getClass () const
| Method overridden by derived classes to indicate their type. More...
Public Member Functions inherited from CanteraError
template<typename... Args>
| CanteraError (const std::string &procedure, const std::string &msg, const Args &... args)
| Normal Constructor for the CanteraError base class. More...
virtual | ~CanteraError () throw ()
| Destructor for base class does nothing. More...
const char * | what () const throw ()
| Get a description of the error. More...
virtual std::string | getMessage () const
| Method overridden by derived classes to format the error message. More...
virtual std::string | getClass () const
| Method overridden by derived classes to indicate their type. More...

## Additional Inherited Members
Protected Member Functions inherited from XML_Error
| XML_Error (const std::string &file, int line)
| Constructor. More...
virtual std::string | getMessage () const
| Method overridden by derived classes to format the error message. More...
virtual | ~XML_Error () throw ()
| destructor More...
Protected Member Functions inherited from CanteraError
| CanteraError ()
| Protected default constructor discourages throwing errors containing no information. More...
| CanteraError (const std::string &procedure)
| Constructor used by derived classes that override getMessage() More...
Protected Attributes inherited from XML_Error
std::string | m_msg
| String message for the error. More...
Protected Attributes inherited from CanteraError
std::string | procedure_
| The name of the procedure where the exception occurred. More...
std::string | formattedMessage_
| Formatted message returned by what() More...

## Detailed Description

Class representing a specific type of XML file formatting error.

An XML_Node doesn't have a required child node

Definition at line 85 of file xml.cpp.

## Constructor & Destructor Documentation

## ◆ XML_NoChild()

XML_NoChild | ( | const XML_Node * | p,
|  | const std::string & | parent,
|  | std::string | child,
|  | const std::string & | filename,
|  | int | line
| ) |  |
| inline

Constructor.

An XML element doesn't have the required child node

Parameters

  p | XML_Node to write a string error message
  parent | Name of the parent node
  child | Name of the required child node
  filename | Name of the XML file being processed
  line | Line number where the error occurred.

Definition at line 98 of file xml.cpp.

References XML_Node::children(), and XML_Error::m_msg.

## Member Function Documentation

## ◆ getClass()

virtual std::string getClass | ( |  | ) | const
| inline virtual

Method overridden by derived classes to indicate their type.

Reimplemented from CanteraError.

Definition at line 109 of file xml.cpp.

The documentation for this class was generated from the following file:

- xml.cpp